Bug 1312597 - Review request: upgrade gflags from 2.1.1 to 2.1.2
Summary: Review request: upgrade gflags from 2.1.1 to 2.1.2
Keywords:
Status: CLOSED DUPLICATE of bug 1524641
Alias: None
Product: Fedora
Classification: Fedora
Component: gflags
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-27 18:02 UTC by Evan Klitzke
Modified: 2018-10-02 08:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 19:04:23 UTC
Type: Bug


Attachments (Terms of Use)
SRPM for gflags 2.1.2 (105.92 KB, application/x-rpm)
2016-02-27 18:02 UTC, Evan Klitzke
no flags Details
diff from the .spec file I started with (1.90 KB, patch)
2016-02-27 18:06 UTC, Evan Klitzke
no flags Details | Diff

Description Evan Klitzke 2016-02-27 18:02:55 UTC
Created attachment 1131139 [details]
SRPM for gflags 2.1.2

Hi,

This is the first time I have submitted a change to a Fedora package. Please be extra thorough in reviewing my change for errors.

I started with the 2.1.1-8 package and found that it would not build, with the same error as at http://koji.fedoraproject.org/koji/buildinfo?buildID=718851 which is an attempt to bump and build gflags for fc24. In other words, there was a build error when I tried to build 2.1.1-8 because CMake wasn't creating config.h from config.h.in early enough.

I confirmed that I had this same problem when trying to build using CMake 3.4.1 (the current version in Fedora 23) when building the upstream 2.1.1 from their git tag v2.1.1 with no patches. However, I did not have this problem when building the upstream git tag v2.2.2 with no patches.

I had to make a couple of changes. I have attached the new .src.rpm file, I will follow up with a diff that shows what changes I had to make to the .spec file. This also involved removing one of the Fedora patches (which has been fixed upstream).

Comment 1 Evan Klitzke 2016-02-27 18:06:19 UTC
Created attachment 1131140 [details]
diff from the .spec file I started with

This is a diff from the original .spec file I started with.

Comment 2 Evan Klitzke 2016-02-27 18:11:44 UTC
Note also that I removed one of the original Fedora patches, gflags-0001-cmake-append-LIB_SUFFIX-to-LIBRARY_INSTALL_DIR.patch. That patch seems to have made its way upstream.

Comment 3 Fedora Update System 2016-03-03 21:24:01 UTC
gflags-2.1.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-78ed83f8d8

Comment 4 Peter Lemenkov 2016-03-03 21:24:53 UTC
(In reply to Evan Klitzke from comment #0)
> Created attachment 1131139 [details]
> SRPM for gflags 2.1.2

Thanks for the patch, Evan.
Please test this build.

Comment 5 Fedora Update System 2016-03-05 02:22:50 UTC
gflags-2.1.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-78ed83f8d8

Comment 6 Evan Klitzke 2016-03-05 20:56:50 UTC
(In reply to Peter Lemenkov from comment #4)
> (In reply to Evan Klitzke from comment #0)
> > Created attachment 1131139 [details]
> > SRPM for gflags 2.1.2
> 
> Thanks for the patch, Evan.
> Please test this build.

Thanks Peter, I'll download the package from the testing repo and test it today.

Comment 7 Evan Klitzke 2016-03-12 08:29:55 UTC
There is a mysterious C++ linkage issue that is beyond my C++ expertise when trying to link this package with glog. I commented with more details on the issue at https://bodhi.fedoraproject.org/updates/FEDORA-2016-78ed83f8d8

Comment 8 Fedora End Of Life 2016-11-24 15:48:09 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2016-12-20 19:04:23 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Peter Lemenkov 2018-10-02 08:31:29 UTC

*** This bug has been marked as a duplicate of bug 1524641 ***


Note You need to log in before you can comment on or make changes to this bug.